Skip to main content
Storage Management/Data Storage APIs/Local Storage Related Interfaces
PUTLocal Storage Related InterfacesSince 0.6SynchronousAuth Required

Migrate Disk on Local Storage

Migrate Disk on Local Storage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • volumeUuidStringRequired

    Disk UUID

Body Fields

  • destHostUuidStringRequired

    Destination Host UUID

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, indicates the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier for the error, such as SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. If there is no original error, this field is null

  • inventoryLocalStorageResourceRefInventoryRequired

    For details, see inventory

    • resourceUuidStringRequired

      资源UUID。若指定,资源会使用该字段值作为UUID。

    • primaryStorageUuidStringRequired

      Data Storage UUID

    • hostUuidStringRequired

      Host UUID

    • sizeLongRequired

      返回记录数。

    • resourceTypeStringRequired

      资源类型。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

PUT/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions

/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions

Operation ID

LocalStorageMigrateVolume

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"destHostUuid":"<destHostUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "resourceUuid": "bad5e950cf014275bf9ba6e4cfe78a97", "primaryStorageUuid": "81d893539a6b4ce7b9957c7a5d6c5df8", "hostUuid": "9d250b88ae90449db567cfa18a75fecc", "size": 2.4035328E7 } }

Change History

This API has no change history records yet.

View all change history